#
# spec file for package acerhk (Version 0.5.35)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           acerhk
BuildRequires:  kernel-source kernel-syms module-init-tools
Requires:       acerhk-kmp
Summary:        Kernel module documentation for Acer Hotkeys
Version:        0.5.35
Release:        28.1
Group:          Hardware/Other
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://freshmeat.net/projects/acerhk/
AutoReqProv:    on
Source:         %{name}-%{version}.tar.bz2
Source1:        preamble
Source2:        acerhk-README.SuSE
ExclusiveArch:  %ix86 
%suse_kernel_module_package -p %_sourcedir/preamble um 

%package -n     acerhk-KMP
Group:          Hardware/Other
License:        GPL v2 only
Summary:        Kernel module for Acer Hotkeys

%description 
This package contains the documentation for the acerhk-kmp packages.
For further information look into the included files README, INSTALL
and FAQ in /usr/share/doc/packages/acerhk/.

So you must install the acerhk-kmp module corresponding to your kernel.
Have a look at /usr/share/doc/packages/acerhk/README.SuSE for more
details.



Authors:
--------
    Olaf Tauber <otauber@web.de>

%description -n acerhk-KMP
This driver will generate key events when a special key is pressed on
supported notebooks.

It also has some other related functionality (depending on the model):

- controlling LEDs (Mail, Wireless)

- enable/disable wireless hardware

Supported models:

- Acer Aspire: 1300, 1310, 1350, 1360, 1400, 1410, 1450, 1500, 1600,
   1680, 1690, 1700, 1800, 2000, 2010, 2020, 3020, 4650, 5020, 9110,
   9500

- Acer Extensa: 3000, 4100 (force_series=4100)

- Acer Travelmate: C100, C110, C300, 200, 210, 220/260, 230/280,
   240, 250, 260, 290, 350, 360, 370, 380, 420, 430, 520, 530, 540,
   610, 620, 630, 650, 660, 800, 2410, 3200, 2300/4000/4500,
   2350/4050, 4100/4600, 4150/4650, (force_series, needed), 8000

- Fujitsu Siemens: Amilo D, Amilo M (7400), Amilo 7820, Amilo Pro
   (V2000)

- Medion: MD2900 (no autodetection, use force_series=2900), MD9783,
   MD40100, MD41300, MD42200, MD49400, MD95400, MD96500, MD97000

- Other: AOpen, Compal CL56 (or similar)

- Prestigio: Nobile151, Nobile156, Nobile157

On laptops with 64bit architecture this driver is only usable in 32 bit
mode.



Authors:
--------
    Olaf Tauber <otauber@web.de>

%prep
%setup -n %{name}-%{version} 

%build
for dir in `find -type d -name RCS`; do
	rm -rf $dir
done
cd ..
mkdir -p obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r %{name}-%{version} obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/obj/$flavor
done

%install
cd ..
# install kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
   make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
       M=$PWD/obj/$flavor
done
install -d %buildroot/%_defaultdocdir/%name
install -m644 %SOURCE2 %buildroot/%_defaultdocdir/%name/README.SuSE
for i in AUTHORS COPYING INSTALL NEWS README doc/*; do
	cp -a %_builddir/%name-%version/$i %buildroot/%_defaultdocdir/%name/
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -n acerhk
%defattr (-,root,root)
%doc %_defaultdocdir/%name 

%changelog
* Fri Jul 13 2007 - lrupp@suse.de
- update to 0.5.35:
  + support for Acer Aspire 4650 and 9110 added
  + added support for wlan and bluetooth control LEDs
- removed upstreamed patch acerhk.config_h.patch
- add acerhk-kmp as required so we get a working acerhk module
  and not just the documentation
* Wed Apr 04 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Fri Jan 26 2007 - ro@suse.de
- fix typo in specfile
* Thu Jan 25 2007 - lrupp@suse.de
- add preamble for kernel module packages
* Fri Jan 12 2007 - olh@suse.de
- remove config.h usage
  allow quilt setup *.spec
* Wed Oct 11 2006 - lrupp@suse.de
- initial package 0.5.34
